"""Constants in cgs.

Values taken from Phantom.
"""

G = gravitational_constant = 6.672041e-8

# Time units
second = 1.0
minute = 60.0
hour = 3600.0
day = 8.64e4
year = 3.1556926e7

# Length units
micron = 1.0e-4
mm = 1.0e-1
m = 100.0
km = 1.0e5
au = 1.496e13
ly = 9.4605e17
pc = 3.086e18

# Solar system
solarm = 1.9891e33
solarr = 6.959500e10
earthm = 5.979e27
earthr = 6.371315e8
jupiterm = 1.89813e30
